SmilesMatcherInterface
Date: 2019-10-22

org.jmol.api

## Interface SmilesMatcherInterface

- All Known Implementing Classes:
    SmilesMatcher

      public interface SmilesMatcherInterface

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `areEqual(java.lang.String smiles1, java.lang.String smiles2)`
    `java.lang.String` | `cleanSmiles(java.lang.String smiles)`
    `int[][]` | `find(java.lang.String pattern, java.lang.String smiles, int flags)`
    `Node[]` | `getAtoms(java.lang.String target)`
    `int[][]` | `getCorrelationMaps(java.lang.String pattern, Node[] atoms, int ac, javajs.util.BS bsSelected, int flags)`
    `java.lang.String` | `getLastException()`
    `int[][]` | `getMapForJME(java.lang.String jme, Atom[] at, javajs.util.BS bsAtoms)`
    `void` | `getMMFF94AtomTypes(java.lang.String[] smarts, Node[] atoms, int ac, javajs.util.BS bsSelected, javajs.util.Lst<javajs.util.BS> bitSets, javajs.util.Lst<javajs.util.BS>[] vRings)`
    `java.lang.String` | `getMolecularFormula(java.lang.String pattern, boolean isSearch)`
    `java.lang.String` | `getRelationship(java.lang.String smiles1, java.lang.String smiles2)`
    `java.lang.String` | `getSmiles(Node[] atoms, int ac, javajs.util.BS bsSelected, java.lang.String bioComment, int flags)`
    `javajs.util.BS` | `getSubstructureSet(java.lang.String pattern, Node[] atoms, int ac, javajs.util.BS bsSelected, int flags)`
    `javajs.util.BS[]` | `getSubstructureSetArray(java.lang.String pattern, Node[] atoms, int ac, javajs.util.BS bsSelected, javajs.util.BS bsAromatic, int flags)`
    `java.lang.String` | `polyhedronToSmiles(Node center, int[][] faces, int atomCount, javajs.util.P3[] points, int flags, java.lang.String details)`
    `java.lang.String` | `reverseChirality(java.lang.String smiles)`

- - ### Method Detail

    - #### areEqual

          int areEqual(java.lang.String smiles1,
                       java.lang.String smiles2)
                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### find

          int[][] find(java.lang.String pattern,
                       java.lang.String smiles,
                       int flags)
                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getLastException

          java.lang.String getLastException()

    - #### getMolecularFormula

          java.lang.String getMolecularFormula(java.lang.String pattern,
                                               boolean isSearch)
                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getRelationship

          java.lang.String getRelationship(java.lang.String smiles1,
                                           java.lang.String smiles2)
                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### reverseChirality

          java.lang.String reverseChirality(java.lang.String smiles)
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### polyhedronToSmiles

          java.lang.String polyhedronToSmiles(Node center,
                                              int[][] faces,
                                              int atomCount,
                                              javajs.util.P3[] points,
                                              int flags,
                                              java.lang.String details)
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getSubstructureSet

          javajs.util.BS getSubstructureSet(java.lang.String pattern,
                                            Node[] atoms,
                                            int ac,
                                            javajs.util.BS bsSelected,
                                            int flags)
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getSubstructureSetArray

          javajs.util.BS[] getSubstructureSetArray(java.lang.String pattern,
                                                   Node[] atoms,
                                                   int ac,
                                                   javajs.util.BS bsSelected,
                                                   javajs.util.BS bsAromatic,
                                                   int flags)
                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getCorrelationMaps

          int[][] getCorrelationMaps(java.lang.String pattern,
                                     Node[] atoms,
                                     int ac,
                                     javajs.util.BS bsSelected,
                                     int flags)
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getMMFF94AtomTypes

          void getMMFF94AtomTypes(java.lang.String[] smarts,
                                  Node[] atoms,
                                  int ac,
                                  javajs.util.BS bsSelected,
                                  javajs.util.Lst<javajs.util.BS> bitSets,
                                  javajs.util.Lst<javajs.util.BS>[] vRings)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getSmiles

          java.lang.String getSmiles(Node[] atoms,
                                     int ac,
                                     javajs.util.BS bsSelected,
                                     java.lang.String bioComment,
                                     int flags)
                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### cleanSmiles

          java.lang.String cleanSmiles(java.lang.String smiles)

    - #### getMapForJME

          int[][] getMapForJME(java.lang.String jme,
                               Atom[] at,
                               javajs.util.BS bsAtoms)

    - #### getAtoms

          Node[] getAtoms(java.lang.String target)
                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`